debug: true

# Name specifies how this particular index would be recognized in the group of other indexes,
# including other indexes of the same type (similar replicas).
# For this reason, the name could contain numbers, like, for example,
# "latest_blocks_replica_1", or "latest_blocks_replica_2", etc.
#
# Requirements:
# Because the name is used in database schema and in HTTP interface schema, it must not contain
#   upper case symbols;
#   dashes;
#   spaces.
#
# Name must begin with a regular symbol (digits and underscores are not permitted).
#
# Suggestions:
# Name is used for initialisation of tables in database as a prefix (!),
# so it is redundant to add "_index" to the name, because there would be some other words too.
name: "latest_blocks_replica_1"

database:
  user: postgres
  pass: postgres
  host: "172.0.0.1"
  port:    5432
  database-name: "indexer"
  validate-schema: false

http:
  host: "127.0.0.1"
  port: 8000

  # It is expected that index would be covered by the nginx front-end,
  # that would collect several indexes under the same public API (/api/v1/indexes/).
  # To keep nginx configuration easy, each index should listen on the subset of this API urls.
  api-prefix: "/api/v1/indexes/"

blockchain:
  network-name: "fastnet"
  shard-id: 1
  blocks-fetching-period-in-sec: 1
  net:
    host: "0.0.0.0"
    port: 11111
  credentials:
    user: "rpcuser"
    pass: "rpcpass"

count-records-saved-in-db: 100
count-records-in-response: 20